<?php

/*
|--------------------------------------------------------------------------
| Web Routes
|--------------------------------------------------------------------------
|
| Here is where you can register web routes for your application. These
| routes are loaded by the RouteServiceProvider within a group which
| contains the "web" middleware group. Now create something great!
|
 */

use Illuminate\Support\Facades\Route;

Route::get('/', function () {

    S('URL_PATH', "/index");
    return view('vip.index');
    // return redirect('/admin/default/index');
})->middleware('admin');

//测试结算规则
 Route::get('api/Settlement/index', function () {
     return appExec('api', 'Settlement', 'index');
 });
//写入赛事数据接口
Route::post('/setSports', function () {
    return appExec('api', 'WriteSports', 'setSports');
});
//更新赛事状态
Route::post('/upMatch', function () {
    return appExec('api', 'WriteSports', 'upMatch');
});


/**
 * 得到指定游戏的当前期信息
 */
// Route::get('/getCurrentGame', function () {
//     return appExec('api', 'PrizeHandle', 'getNewprizeGamedata');
// });

/**
 * 设定指定游戏的当前期状态
 */
// Route::get('/setCurrentGameStatus', function () {
//     return appExec('api', 'PrizeHandle', 'updateCloses');
// });

Route::get('/api/BetLog/getBetLog', function () {
    return appExec('api', 'BetLog', 'getBetLog');
});
Route::get('/odds', function () {
    return appExec('api', 'BetLog', 'odds');
});
Route::get('/rechargeMoney', function () {
    return appExec('admin', 'Regulation', 'AddOrCutMoney');
});
//获取封盘信息
Route::get('/getSealInfo', function () {
    return appExec('api', 'SixPrize', 'getSealInfo');
});
//获取正在开奖的六合信息信息
Route::get('/getOpeningInfo', function () {
    return appExec('api', 'SixPrize', 'getOpeningInfo');
});
//finishPrize
//获取正在开奖的完成修改状态
Route::get('/finishPrize', function () {
    return appExec('api', 'SixPrize', 'finishPrize');
});
//reSetStatus
Route::get('/reSet', function () {
    return appExec('api', 'SixPrize', 'reSetStatus');
});
//修改状态
Route::get('/updateStatus', function () {
    return appExec('api', 'SixPrize', 'updateStatus');
});

//修改状态
// Route::get('/countHistory',function(){
//     return appExec('api','History','index');
// });
//修改状态
// Route::get('/HistoryCount',function(){
//     return appExec('api','History','count');
// });
Auth::routes();

//适配模型控制器方法的路由
Route::any('/{module}/{class}/{action}', function ($module, $class, $action) {
    return appExec('admin', $class, $action);
})->middleware('admin');

/*
 * 支付相关路由
 */
Route::namespace('Payment')
//    ->middleware('admin')
    ->prefix('payment')
    ->middleware('admin')
    ->group(
        function () {
            Route::get('gateways', 'PaymentController@gateways');//网关列表页
            Route::get('getGatewayList', 'PaymentController@getGatewayList');//网关列表接口
            Route::get('removeGatewayHandler', 'PaymentController@removeGatewayHandler');//网关删除接口
            Route::get('gatewayAdd', 'PaymentController@gatewayAdd');//网关添加页面
            Route::get('gatewayEdit', 'PaymentController@gatewayEdit');//网关编辑页面
            Route::post('gatewayHandler', 'PaymentController@gatewayHandler');//网关添加/编辑接口
            Route::get('GatewayStatusSwitch', 'PaymentController@GatewayStatusSwitch');//网关状态切换接口
            Route::get('channels', 'PaymentController@channels');//通道列表页面
            Route::get('channelAdd', 'PaymentController@channelAdd');//通道添加页面
            Route::get('channelEdit', 'PaymentController@channelEdit');//通道修改页面
            Route::get('getChannelList', 'PaymentController@getChannelList');//通道列表接口
            Route::post('channelHandler', 'PaymentController@channelHandler');//通道添加/编辑接口
            Route::get('removeChannelHandler', 'PaymentController@removeChannelHandler');//通道删除接口
            Route::get('ChannelStatusSwitch', 'PaymentController@ChannelStatusSwitch');//切换通道接口
            Route::get('search_gateway_name', 'PaymentController@search_gateway_name');//搜索网关名称
            Route::get('order', 'OrderController@index');//订单列表页
            Route::get('getOrderList', 'OrderController@getOrderList');//订单列表接口
            Route::get('orderInfo', 'OrderController@orderInfo');//订单详情
            Route::get('removeOrder', 'OrderController@removeOrder');//订单作废接口
            Route::get('updateOrderStatus', 'OrderController@updateOrderStatus');//修改订单状态接口
            Route::get('viewDetail', 'OrderController@viewDetail');
            Route::get('export', 'OrderController@export');//导出
            Route::get('cancelOrder', 'OrderController@cancelOrder');//超过24小时订单作废接口
            Route::get('deleteAllOrder', 'OrderController@deleteAllOrder');//删除超过30天的所有订单接口
        }, 'payment');
// Route::any('/read','\App\\Http\\Controllers\\Demo\\DemoController@getCsv');
// Route::resource ('/notice/publish','\App\\Http\\Controllers\\Admin\\PublishApiController');
// Route::get('/admin/pubAdmin','\App\\Http\\Controllers\\Admin\\PublishController@index');

